
//BluetoothShield Démo code Slave.pde. Cette esquisse pourrait être utilisé avec
//Master.pde d'établir une connexion entre deux Arduino. Il peut également
//être utilisé pour une bluetooth esclave connecté par le dispositif (PC / Smart Phone)
//avec fonction Bluetooth.
//Pour plus de détails sur le produit s'il vous plaît vérifier http://www.seeedstudio.com/depot/



#include <SoftwareSerial.h>   //librairie liaison serie 
#define RxD 6    //la broche 6 de la carte arduino est une entrée qui reçoit ( RX) les informations du module Bluetooth qui émet des données ( TX) .
#define TxD 7  // la broche 7 de la carte arduino est une sortie qui envoie ( TX) les informations au module Bluetooth qui recoit des données ( RX) .
const int LED =  9;      // 9 le numéro de la broche LED
const int relay =  A5;      // A5 le numéro de la broche relay

#define DEBUG_ENABLED  1

SoftwareSerial blueToothSerial(RxD,TxD); //le shield bluetooth va communiquer avec l 'arduino via les boreches 6 et 7

void setup()
{
    Serial.begin(9600);  //lancement de la liaison série
    pinMode(RxD, INPUT); //la broche 6 de la carte arduino est une entrée
    pinMode(TxD, OUTPUT); // la broche 7 de la carte arduino est une sortie qui envoie 
    pinMode(LED, OUTPUT); // la broche 9 est une sortie pour activer la  LED
    pinMode(relay, OUTPUT);// la broche A5 est une sortie pour activer le relay
    setupBlueToothConnection();

}

void loop()
{
    char recvChar;// recvChar est une variable de type caractere sur 1 octet
    while(1) //  tant que 1  boucle
    {
        if(blueToothSerial.available())// vérifier si il y des données envoyées par le telephone en bluetooth
        {

            recvChar = blueToothSerial.read(); // lire ce qui arrive sur la liaison bluetooth et le changer ds la variable recvChar
            Serial.print(recvChar); // ecrire le contenu de la variable recvChar sur la liaison SERIE
        }
        if(Serial.available())// vérifier si il y a des données disponibles  sur la liaison SERIE
        {
           recvChar  = Serial.read(); // si oui il faut les lire et ecrire le contenu ds la variable recvChar   sur la liaison SERIE
            blueToothSerial.print(recvChar);}// ecrire le contenu de la variable recvChar SUR LA LIAISON bluetooth
            if (recvChar =='a'){ // si le contenu de la variable est "a " alors activer le relay et la led 
             digitalWrite(LED, HIGH);
             digitalWrite(relay, HIGH);}
             delay(200);
               if (recvChar =='b'){// si le contenu de la variable est "a " alors activer le relay et la led 
             digitalWrite(relay, LOW);
             digitalWrite(LED, LOW);}
        }
    }


void setupBlueToothConnection()
{
    blueToothSerial.begin(38400);                          // Set BluetoothBee BaudRate à défaut la vitesse de transmission 38400
    blueToothSerial.print("\r\n+STWMOD=0\r\n");           // Définir le travail de Bluetooth en mode esclave
    blueToothSerial.print("\r\n+STNA=SeeedBTSlave\r\n");  // Définir le nom de Bluetooth comme "SeeedBTSlave"
    blueToothSerial.print("\r\n+STOAUT=1\r\n");           // Dispositif permis de me connecter jumelés
    blueToothSerial.print("\r\n+STAUTO=0\r\n");             // Auto-connexion devrait être interdit ici
    delay(2000);                                            // Ce délai est nécessaire.
    blueToothSerial.print("\r\n+INQ=1\r\n");                // Rendre le inquirable bluetooth esclave
    Serial.println("The slave bluetooth is inquirable!");
    delay(2000);                                           // Ce délai est nécessaire.
    blueToothSerial.flush();
}
